----------------技能---------------
function KanpaSkill_Fishing()
    TUR()MSG("*钓鱼*")W99()
end

function KanpaSkill_Fishing_Check()
    if(GOP() == 1) then
        KEY()MSG("在地面上附近有水域的时候可以使用，")NOD()
        CAT("\n控制落入水的鱼钩在触碰到鱼后，")NOD()
        CAT("\n判定成功就可以将鱼钓起。")NOD()W99()
    else
        KEY()MSG("在地面上附近有水域的时候")
        CAT("\n可以使用，")NOD()
        CAT("\n控制落入水的鱼钩在触碰到鱼后，")NOD()
        CAT("\n判定成功就可以将鱼钓起。")NOD()W99()
    end
end

function KanpaSkill_GrapplingHook()
    TUR()MSG("*抓钩*")W99()
end

function KanpaSkill_GrapplingHook_Check()
    KEY()MSG("向上方抛出抓钩，")NOD()
    CAT("\n在抓钩命中墙壁后")
    CAT("\n可以上下移动控制。")NOD()W99()
end

function JackSkill_Catcher()
    TUR()MSG("*发射捕获气泡*")W99()
end

function JackSkill_Catcher_Check()
    KEY()MSG("捕获气泡在触碰到敌人后")
    CAT("\n会瓦解敌人的攻击")
    CAT("\n并将其困地面上无法动弹。")NOD()
    CAT("\n在能量足够高时")
    CAT("\n发射的就是捕获十字炸弹")
    CAT("\n可以将冲击波内的敌人全部捕获。")NOD()
end

function SantaSkill_GhostFire()
    TUR()MSG("*发射幽灵火球*")W99()
end

function SantaSkill_GhostFire_Check()
    KEY()MSG("幽灵火球在触碰到敌人后")
    CAT("\n会分裂成4个更小的个体")
    CAT("\n最终形成一大片攻击和照明区域。")NOD()
    CAT("\n除了碰到水会消失以外")
    CAT("\n可以轻而易举的对付成片的敌人。")NOD()
end

function KingSkill_Guard()
    TUR()MSG("*格挡*")W99()
end

function KingSkill_Guard_Check()
    KEY()MSG("将剑架起挡住")
    CAT("\n来自前方的攻击。")NOD()
end

function KingSkill_LifeUp()
    TUR()MSG("*治疗*")W99()
end

function KingSkill_LifeUp_Check()
    KEY()MSG("将10%的能量")
    CAT("\n转化为10%的生命。")NOD()
end

function KingSkill_SwordV2()
    TUR()MSG("*二级剑*")W99()
end

function KingSkill_SwordV2_Check()
    KEY()MSG("\n斩击近处的敌人。")NOD()
end

function KingSkill_SwordV3()
    TUR()MSG("*三级剑*")W99()
end

function KingSkill_SwordV3_Check()
    KEY()MSG("\n打击成片的敌人。")NOD()
end

function QuoteSkill_Spur()
    TUR()MSG("*突波*")W99()
end

function QuoteSkill_Spur_Check()
    KEY()MSG("\n切换到突波武器。")NOD()
end

function QuoteSkill_SuperMissile()
    TUR()MSG("*超级飞弹*")W99()
end

function QuoteSkill_SuperMissile_Check()
    KEY()MSG("\n切换到超级飞弹。")NOD()
end

function QuoteSkill_Lock()
    TUR()MSG("*射击方向锁定*")W99()
end

function QuoteSkill_Lock_Check()
    KEY()MSG("锁定了之后")
    CAT("\n无论如何移动都会面朝那个方向。")NOD()
end

function CurlySkill_MachineGun()
    TUR()MSG("*机枪*")W99()
end

function CurlySkill_MachineGun_Check()
    KEY()MSG("\n切换到机枪。")NOD()
end

function CurlySkill_Nemesis()
    TUR()MSG("*复仇女神*")W99()
end

function CurlySkill_Nemesis_Check()
    KEY()MSG("\n切换到复仇女神。")NOD()
end

function CurlySkill_EnergyShield()
    TUR()MSG("*飞弹护盾*")W99()
end

function CurlySkill_EnergyShield_Check()
    KEY()MSG("开启飞弹护盾之后")
    CAT("\n卡莉可以免于任何攻击和水流影响，")NOD()
    CAT("\n护盾会缓慢消耗能量，")NOD()
    CAT("\n能量耗尽之后会自动关闭。")NOD()
end